import matplotlib.pyplot as plt
numargs = nbinom.numargs
[ n, pr ] = Replace with reasonable value * numargs
rv = nbinom(n, pr)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = nbinom.cdf(x, n, pr)
h = plt.semilogy(np.abs(x - nbinom.ppf(prb, n, pr)) + 1e-20)

# Random number generation

R = nbinom.rvs(n, pr, size=100)
